Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.identity
Class DBUserInfoImpl

    java.lang.Object
      org.jbpm.services.task.identity.AbstractUserGroupInfo
          org.jbpm.services.task.identity.DBUserInfoImpl

All Implemented Interfaces:
  org.kie.internal.task.api.UserInfo

    public class DBUserInfoImpl

extends AbstractUserGroupInfo
implements org.kie.internal.task.api.UserInfo

Field Summary
`protected static String` | `DEFAULT_PROPERTIES_NAME`
`static String` | `DS_JNDI_NAME`
`static String` | `EMAIL_QUERY`
`static String` | `HAS_EMAIL_QUERY`
`static String` | `LANG_QUERY`
`static String` | `MEMBERS_QUERY`
`static String` | `NAME_QUERY`

Constructor Summary
`DBUserInfoImpl(boolean activate)`
`DBUserInfoImpl(Properties config)`

Method Summary
`protected Connection` | `getConnection()`
`String` | `getDisplayName(OrganizationalEntity entity)`
`String` | `getEmailForEntity(OrganizationalEntity entity)`
`String` | `getLanguageForEntity(OrganizationalEntity entity)`
`Iterator<OrganizationalEntity>` | `getMembersForGroup(Group group)`
`boolean` | `hasEmail(Group group)`

Methods inherited from class org.jbpm.services.task.identity.AbstractUserGroupInfo
`readProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PROPERTIES_NAME

    protected static final String DEFAULT_PROPERTIES_NAME

See Also:
  Constant Field Values

### DS_JNDI_NAME

    public static final String DS_JNDI_NAME

See Also:
  Constant Field Values

### NAME_QUERY

    public static final String NAME_QUERY

See Also:
  Constant Field Values

### EMAIL_QUERY

    public static final String EMAIL_QUERY

See Also:
  Constant Field Values

### LANG_QUERY

    public static final String LANG_QUERY

See Also:
  Constant Field Values

### HAS_EMAIL_QUERY

    public static final String HAS_EMAIL_QUERY

See Also:
  Constant Field Values

### MEMBERS_QUERY

    public static final String MEMBERS_QUERY

See Also:
  Constant Field Values

Constructor Detail

### DBUserInfoImpl

    public DBUserInfoImpl(boolean activate)

### DBUserInfoImpl

    public DBUserInfoImpl(Properties config)

Method Detail

### getConnection

    protected Connection getConnection()
                                throws SQLException

  Throws:
    `SQLException`

### getDisplayName

    public String getDisplayName(OrganizationalEntity entity)

  Specified by:
    `getDisplayName` in interface `org.kie.internal.task.api.UserInfo`

### getMembersForGroup

    public Iterator<OrganizationalEntity> getMembersForGroup(Group group)

  Specified by:
    `getMembersForGroup` in interface `org.kie.internal.task.api.UserInfo`

### hasEmail

    public boolean hasEmail(Group group)

  Specified by:
    `hasEmail` in interface `org.kie.internal.task.api.UserInfo`

### getEmailForEntity

    public String getEmailForEntity(OrganizationalEntity entity)

  Specified by:
    `getEmailForEntity` in interface `org.kie.internal.task.api.UserInfo`

### getLanguageForEntity

    public String getLanguageForEntity(OrganizationalEntity entity)

  Specified by:
    `getLanguageForEntity` in interface `org.kie.internal.task.api.UserInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.